Author: Martina Ferrari <tina@debian.org>
Description: Avoid autopkgtest failures due to port clashes with a running
 alertmanager.
Forwarded: not-needed
Last-Update: Mon, 17 Oct 2022 22:16:10 +0000

--- a/cluster/tls_transport_test.go
+++ b/cluster/tls_transport_test.go
@@ -40,7 +40,7 @@
 		{err: "invalid bind address \"\"", tlsConfFile: "testdata/tls_config_node1.yml"},
 		{bindAddr: "abc123", err: "invalid bind address \"abc123\"", tlsConfFile: "testdata/tls_config_node1.yml"},
 		{bindAddr: localhost, bindPort: 0, tlsConfFile: "testdata/tls_config_node1.yml"},
-		{bindAddr: localhost, bindPort: 9094, tlsConfFile: "testdata/tls_config_node2.yml"},
+		{bindAddr: localhost, bindPort: 19094, tlsConfFile: "testdata/tls_config_node2.yml"},
 	}
 	l := log.NewNopLogger()
 	for _, tc := range testCases {
@@ -72,10 +72,10 @@
 		expectedPort  int
 		expectedError string
 	}{
-		{bindAddr: localhost, bindPort: 9094, inputIp: "10.0.0.5", inputPort: 54231, expectedIp: "10.0.0.5", expectedPort: 54231},
-		{bindAddr: localhost, bindPort: 9093, inputIp: "invalid", inputPort: 54231, expectedError: "failed to parse advertise address \"invalid\""},
+		{bindAddr: localhost, bindPort: 19094, inputIp: "10.0.0.5", inputPort: 54231, expectedIp: "10.0.0.5", expectedPort: 54231},
+		{bindAddr: localhost, bindPort: 19093, inputIp: "invalid", inputPort: 54231, expectedError: "failed to parse advertise address \"invalid\""},
 		{bindAddr: localhost, bindPort: 0, inputIp: "", inputPort: 0, expectedIp: localhost},
-		{bindAddr: localhost, bindPort: 9095, inputIp: "", inputPort: 0, expectedIp: localhost, expectedPort: 9095},
+		{bindAddr: localhost, bindPort: 19095, inputIp: "", inputPort: 0, expectedIp: localhost, expectedPort: 19095},
 	}
 	for _, tc := range testCases {
 		tlsConf := mustTLSTransportConfig("testdata/tls_config_node1.yml")
